btb-class |

# BetterListViewElementCollection(TElement) Members

BetterListViewElementCollection(TElement) overview

#### Protected Static Fields

FieldInnerList | 'innerList' field name

#### Public Instance Properties

Count | Gets the number of elements contained in the ICollection`1.
IsReadOnly | Gets a value indicating whether the ICollection`1 is read-only.
Item | Overloaded. Gets BetterListView element.

#### Public Instance Methods

Add | Overloaded. Add the specified element to collection.
AddRange | Overloaded. Add the specified elements to collection.
Clear | Removes all items from the ICollection`1.
CloneToArray | Clone elements of this collection to a new array.
Contains | Determines whether the ICollection`1 contains a specific value.
ContainsKey | Check whether this collection contains element with the specified key.
CopyTo | Copies the elements of the ICollection`1 to an Array, starting at a particular Array index.
EqualsContent | Check whether content of this collection is equal to content of the specified list.
GetEnumerator | Returns an enumerator that iterates through the collection.
GetRange | Overloaded. Get the specified range of items from the list.
IndexOf | Determines the index of a specific item in the IList`1.
IndexOfKey | Get index of element with the specified key.
Insert | Inserts an item to the IList`1 at the specified index.
InsertRange | Insert specified items to the specified position in the list.
Remove | Removes the first occurrence of a specific object from the ICollection`1.
RemoveAt | Removes the IList`1 item at the specified index.
RemoveByKey | Remove element with the specified key from the collection.
RemoveRange | Overloaded. Remove items at the specified positions from the list.
Sort | Overloaded. Sort this list.
SortRange | Overloaded. Sort items in the list.
ToString | Overloaded. Returns a String that represents this instance.
TryGetItem | Try to get item at the specified index.

#### Protected Instance Constructors

BetterListViewElementCollection(TElement) | Overloaded. Initializes a new instance of the BetterListViewElementCollection(TElement) class.

#### Protected Instance Properties

ElementName | name of the collection element
InnerList | underlying list data structure

#### Protected Instance Methods

CreateElement | Creeate a new element from its text.
GetObjectDataInternal | Populates a SerializationInfo with the data needed to serialize the target object.
OnDeserialized | Called when this object has been deserialized.
OnDeserializing | Called when deserializing this object.
OnSerialized | Called when this object has been serialized.
OnSerializing | Called when serializing this object.
ReadXmlInternal | Generates an object from its XML representation.
WriteXmlInternal | Converts an object into its XML representation.

#### See Also

BetterListViewElementCollection<TElement> Class | ComponentOwl.BetterThumbnailBrowser Namespace